using System;
using System.IO;
using System.Threading;
using SlimDX.DirectInput;
using SlimDX.XInput;
using YourBeatingHeart.Main;
using YourBeatingHeart.Main.Helper;
using DeviceType = SlimDX.DirectInput.DeviceType;

namespace YourBeatingHeart
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                var game = new Game();
                game.Run();
            }
            catch (Exception e)
            {
                // Write the string to a file.
                System.IO.StreamWriter file = new System.IO.StreamWriter("error.log");
                file.WriteLine(e.ToString());
                file.WriteLine(e.StackTrace);

                file.Close();
            }
        }
    }
}
